<?php 
    $wp_customize->add_section(
        'about_section',
        array(
            'title' => __( 'About Section', 'Luzuk' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_section_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_section_disable',
            array(
                'settings'      => 'about_section_disable',
                'section'       => 'about_section',
                'label'         => __( 'Disable Section', 'Luzuk' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk' ),
                    'off' => __( 'No', 'Luzuk' )
                ),
            )
        )
    ); 


backgroundManager($wp_customize, 'about', 'about_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'AboutDoctorSectionPadding', 'about_section', 'Section Padding');

$wp_customize->add_setting(
    'aboutTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '10em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'aboutTpadding',
    array(
        'settings'      => 'aboutTpadding',
        'section'       => 'about_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'aboutBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'aboutBpadding',
    array(
        'settings'      => 'aboutBpadding',
        'section'       => 'about_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'AboutSectiontitle', 'about_section', 'Section Heading & Sub Heading');

$wp_customize->add_setting(
        'about_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'About Plant Care', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'about_subtitle',
        array(
            'settings'      => 'about_subtitle',
            'section'       => 'about_section',
            'type'          => 'text',
            'label'         => __( 'Section Sub Heading', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'about_subheadClr', 'about_section', 'Section Sub Heading Color', '#769e36');

addColorPalatOption($wp_customize, 'about_subheadbrd', 'about_section', 'Section Heading Border Color', '#769e36');

$wp_customize->add_setting(
        'about_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Discover Plant Care Company History', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'about_title',
        array(
            'settings'      => 'about_title',
            'section'       => 'about_section',
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'Luzuk' )
        )
    );
addColorPalatOption($wp_customize, 'about_headClr', 'about_section', 'Section Heading Color', '#0c3c00');

$wp_customize->add_setting(
        'about_content',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Exercitation llamco laboris nis aliquip sed conseqrure dolorn repreh velit excepteur duis aute.Exercitation llamco laboris nis exercitation llamco laboris nis aliquip sed conseqrure dolorn repreh velit excepteur duis ', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'about_content',
        array(
            'settings'      => 'about_content',
            'section'       => 'about_section',
            'type'          => 'textarea',
            'label'         => __( 'Section Content', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'about_ContentClr', 'about_section', 'Section Content Color', '#858585');


// ============================textbox===================================

$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_section',
            'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_section',
        'type'          => 'select',
        'label'         => __( 'Number of About plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_section',
                'label'         => __( 'About Page Text ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-check',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_section', $type = 'textarea', $label="Title", $callback ='luzuk_sanitize_text', $default='Exercitation llamco laboris nis aliquip sed conseqrure ');  
}

addColorPalatOption($wp_customize, 'about_iconclr', 'about_section', 'Section Icon Color', '#769e36');

addColorPalatOption($wp_customize, 'about_iconhvclr', 'about_section', 'Section Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'about_iconbrdclr', 'about_section', 'Section Icon Border Color', '#769e36');

addColorPalatOption($wp_customize, 'about_iconbrdhvclr', 'about_section', 'Section Icon Border Hover Color', '#0c3c00');

addColorPalatOption($wp_customize, 'about_iconbghvclr', 'about_section', 'Section Icon Background Hover Color', '#0c3c00');

addColorPalatOption($wp_customize, 'about_icontxtclr', 'about_section', 'Section Icon Text Color', '#858585');



lzCustomLable($wp_customize, 'buttontextsettings', 'about_section', 'Button Text, Button Link & Its Colors:');

// button
$wp_customize->add_setting( 'about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'about_button_display', array( 'label' => 'About Button Display', 'section' => 'about_section', 'settings' => 'about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) );

$wp_customize->add_setting(
        'about_button1',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Explore Plant Care', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'about_button1',
        array(
            'settings'      => 'about_button1',
            'section'       => 'about_section',
            'type'          => 'text',
            'label'         => __( 'Add Button Text Here', 'Luzuk' )
        )
    );
$wp_customize->add_setting('about_link',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('about_link',
    array(
        'settings'      => 'about_link',
        'section'       => 'about_section',
        'type'          => 'url',
        'label'         => __( 'Add Link For Button:', 'Luzuk' )
    )
);    

addColorPalatOption($wp_customize, 'about_btntxtclr', 'about_section', 'Section Button Text Color ', '#fff');

addColorPalatOption($wp_customize, 'about_btntxthvclr', 'about_section', 'Section Button Text Hover Color ', '#fff');

addColorPalatOption($wp_customize, 'about_btnbgclr1', 'about_section', 'Section Button Background Color One', '#4c7815');

addColorPalatOption($wp_customize, 'about_btnbgclr2', 'about_section', 'Section Button Background Color Two', '#6a951f');


addColorPalatOption($wp_customize, 'about_btnbgclrhv1', 'about_section', 'Section Button Background Hover Color One', '#6a951f');

addColorPalatOption($wp_customize, 'about_btnbgclrhv2', 'about_section', 'Section Button Background Hover Color Two', '#4c7815');

// end to show & hide button

//small img
$wp_customize->add_setting(
        'about_image1_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image1_heading',
        array(
            'settings'      => 'about_image1_heading',
            'section'       => 'about_section',
            'label'         => __( 'Section Small Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image1',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image1',
        array(
            'section' => 'about_section',
            'settings' => 'about_image1',
            'description' => __('Recommended Image Size: 270X270px', 'luzuk-premium')
        )
    )
);


//section Image

$wp_customize->add_setting(
        'about_image5_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image5_heading',
        array(
            'settings'      => 'about_image5_heading',
            'section'       => 'about_section',
            'label'         => __( 'Section Center Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image5',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image5',
        array(
            'section' => 'about_section',
            'settings' => 'about_image5',
            'description' => __('Recommended Image Size: 400X400px', 'luzuk-premium')
        )
    )
);




$wp_customize->add_setting(
    'about_years',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '10<sup>+</sup>', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'about_years',
    array(
        'settings'      => 'about_years',
        'section'       => 'about_section',
        'type'          => 'text',
        'label'         => __( 'Yeares', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'about_experience',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Yeares Of Experience', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'about_experience',
    array(
        'settings'      => 'about_experience',
        'section'       => 'about_section',
        'type'          => 'text',
        'label'         => __( 'Experience', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'about_imgnumclr', 'about_section', 'Section Number of Yeares Color', '#fff');

addColorPalatOption($wp_customize, 'about_imgtxtclr', 'about_section', 'Section Image Text Color', '#fff');

addColorPalatOption($wp_customize, 'about_imgtxtbgclr', 'about_section', 'Section Image Text Background Color', '#0c3c00');